<template lang="pug">
  .gpm-user-list
    .gpm-user-list__header
      .cell.index
      .cell.basic-info
        | Basic Info
      .cell.employee-code
        | Employee Code
      .cell.designation
        | Designation
      .cell.phone-number
        | Phone Number
      .cell.joining-date
        | Joining Date
      .cell.actions
    .gpm-user-list__body
      GPMUserItem(
        v-for="(user, idx) in userList"
        :user="user"
        :index="idx"
        :key="user.id"
      )
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component'

import GPMUserItem from '@/components/GPM-UserItem/index.vue'

@Component({
  components: {
    GPMUserItem
  },
  props: {
    userList: {
      type: Array,
      default: () => ([])
    }
  }
})
export default class GPMUserList extends Vue {}

</script>

<style lang="scss">
.gpm-user-list {
  &__header {
    display: flex;
    margin-bottom: 16px;

    .cell {
      flex: 1;
      font-size: 14px;
      color: rgba($black, 0.3);
      font-weight: bold;
      user-select: none;

      &.index {
        flex: 0.5;
      }

      &.basic-info {
        flex: 1.5;
      }

      &.employee-code,
      &.designation,
      &.phone-number,
      &.joining-date {
        text-align: center;
      }
    }
  }

  .gpm-user-item:not(:last-child) {
    margin-bottom: 16px;
  }
}
</style>
